## GtkCurve GtkCurve |

## Functions

GtkWidget * | gtk_curve_new ()
void | gtk_curve_reset ()
void | gtk_curve_set_gamma ()
void | gtk_curve_set_range ()
void | gtk_curve_get_vector ()
void | gtk_curve_set_vector ()
void | gtk_curve_set_curve_type ()

## Properties

GtkCurveType | curve-type | Read / Write
float | max-x | Read / Write
float | max-y | Read / Write
float | min-x | Read / Write
float | min-y | Read / Write

## Signals

void | curve-type-changed | Run First

## Types and Values

struct | GtkCurve

## Object Hierarchy

        GObject
        ╰── GInitiallyUnowned
            ╰── GtkObject
                ╰── GtkWidget
                    ╰── GtkDrawingArea
                        ╰── GtkCurve

## Implemented Interfaces

GtkCurve implements AtkImplementorIface and GtkBuildable.

## Includes

    #include <gtk/gtk.h>

## Description

## Functions

### gtk_curve_new ()

    GtkWidget *
    gtk_curve_new (void);

`gtk_curve_new` is deprecated and should not be used in newly-written code.

### gtk_curve_reset ()

    void
    gtk_curve_reset (GtkCurve *curve);

`gtk_curve_reset` is deprecated and should not be used in newly-written code.

### gtk_curve_set_gamma ()

    void
    gtk_curve_set_gamma (GtkCurve *curve,
                         gfloat gamma_);

`gtk_curve_set_gamma` is deprecated and should not be used in newly-written code.

### gtk_curve_set_range ()

    void
    gtk_curve_set_range (GtkCurve *curve,
                         gfloat min_x,
                         gfloat max_x,
                         gfloat min_y,
                         gfloat max_y);

`gtk_curve_set_range` is deprecated and should not be used in newly-written code.

### gtk_curve_get_vector ()

    void
    gtk_curve_get_vector (GtkCurve *curve,
                          int veclen,
                          gfloat vector[]);

`gtk_curve_get_vector` is deprecated and should not be used in newly-written code.

### gtk_curve_set_vector ()

    void
    gtk_curve_set_vector (GtkCurve *curve,
                          int veclen,
                          gfloat vector[]);

`gtk_curve_set_vector` is deprecated and should not be used in newly-written code.

### gtk_curve_set_curve_type ()

    void
    gtk_curve_set_curve_type (GtkCurve *curve,
                              GtkCurveType type);

`gtk_curve_set_curve_type` is deprecated and should not be used in newly-written code.

## Types and Values

### struct GtkCurve

    struct GtkCurve;

`GtkCurve` is deprecated and should not be used in newly-written code.

## Property Details

### The `“curve-type”` property

      “curve-type”               GtkCurveType

Is this curve linear, spline interpolated, or free-form.

Owner: GtkCurve

Flags: Read / Write

Default value: GTK_CURVE_TYPE_SPLINE

### The `“max-x”` property

      “max-x”                    float

Maximum possible X value.

Owner: GtkCurve

Flags: Read / Write

Default value: 1

### The `“max-y”` property

      “max-y”                    float

Maximum possible value for Y.

Owner: GtkCurve

Flags: Read / Write

Default value: 1

### The `“min-x”` property

      “min-x”                    float

Minimum possible value for X.

Owner: GtkCurve

Flags: Read / Write

Default value: 0

### The `“min-y”` property

      “min-y”                    float

Minimum possible value for Y.

Owner: GtkCurve

Flags: Read / Write

Default value: 0

## Signal Details

### The `“curve-type-changed”` signal

    void
    user_function (GtkCurve *curve,
                   gpointer  user_data)

Flags: Run First